#include <stdio.h>
#include <stdlib.h>

int main()
{
    int V;
    scanf("%d",&V);
    if(V==1) printf("1");
    if(V==2) printf("1");
    if(V==3) printf("2");
    if(V==4) printf("2");
    if(V==5) printf("1");
    if(V==6) printf("2");
    if(V==7) printf("2");
    if(V==8) printf("3");
    if(V==9) printf("3");

	return 0;
}